Add a file to the document and receive a pre-signed S3 URL for upload
cURL
curl --request POST \ --url https://api.beltic.com/v1/identity/documents/addresses/{id}/files \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "data": { "type": "file", "attributes": { "filename": "<string>", "content_type": "<string>", "byte_size": 123, "checksum": "<string>" } } } '
{ "data": { "type": "file", "id": "123e4567-e89b-12d3-a456-426614174000", "attributes": { "id": "<string>", "filename": "<string>", "content_type": "<string>", "status": "pending_upload", "url": "https://s3.amazonaws.com/...?X-Amz-Signature=...", "byte_size": 123, "checksum": "<string>" } }, "meta": { "presigned_upload_url": "https://s3.amazonaws.com/beltic-documents/...", "expires_in": 3600 } }
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
The unique identifier of the document
"123e4567-e89b-12d3-a456-426614174000"
Show child attributes
File added successfully, pre-signed URL provided
Upload URL metadata
Was this page helpful?